Name: H5Adelete
Signature:
  herr_t `H5Adelete`(hid_t `loc_id`, const char *`name` )
Purpose:
  Deletes an attribute from a location.
Description:
  `H5Adelete` removes the attribute specified by its name, `name`, from a dataset, group, or named datatype. This function should not be used when attribute identifiers are open on `loc_id` as it may cause the internal indexes of the attributes to change and future writes to the open attributes to produce incorrect results.
Parameters:

hid_t `loc_id` | IN: Identifier of the dataset, group, or named datatype to have the attribute deleted from.
const char *`name` | IN: Name of the attribute to delete.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5adelete_f

      SUBROUTINE h5adelete_f(obj_id, name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: obj_id    ! Object identifier
        CHARACTER(LEN=*), INTENT(IN) :: name    ! Attribute name
        INTEGER, INTENT(OUT) :: hdferr          ! Error code:
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5adelete_f